@import 'src/assets/sass/variables/color';

:host ::ng-deep {
  .page-content-section {
    display: grid;
    gap: 16px;
    align-items: center;
    grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
    & > a {
      height: 100%;
    }
    .article_div {
      display: flex;
      height: 600px;
      flex-direction: column;
      border-radius: var(--border--radius);
      background-color: var(--brand--background);
      padding: calc(var(--gap) / 2);
      & > * {
        margin-top: 16px;
        margin-bottom: 16px;
      }
      color: initial;
      h1 {
        font-style: normal;
        font-weight: bold;
        font-size: 24px;
        // font-variant: small-caps;
        // text-transform: lowercase;

        margin: 0;
        margin-bottom: 16px;
      }
      .article_span_div {
        display: flex;
        flex-direction: column;
        span {
          font-style: italic;
          margin-right: 8px;
        }
      }
      .article-content-section {
        overflow-y: scroll;
        scrollbar-width: thin;
        scrollbar-color: var(--bright) rgba(255, 255, 255, 0);
      }
    }
  }
}

.pager {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 16px;
}

.pager__button {
  width: 48px;
  margin: 8px;

  &.active-page {
    background-color: var(--accent--dark);
    color: white;
  }

  &.prev {
    border: none;
    font-weight: 400;
    color: var(--accent--dark);
    &:hover {
      font-weight: 600;
      background-color: transparent;
      color: var(--accent--dark);
    }
  }

  &.next {
    border: none;
    font-weight: 400;
    color: var(--accent--dark);
    &:hover {
      font-weight: 600;
      background-color: transparent;
      color: var(--accent--dark);
    }
  }

  &.isDisabled {
    cursor: not-allowed;
    opacity: 0.5;
    text-decoration: none;
    pointer-events: none;
  }
}

